Debian Bug report logs - #378546
axel-kapt: uses all available memory, crashes, brings system to a crawl

version graph

Package: axel-kapt; Maintainer for axel-kapt is Y Giridhar Appaji Nag <appaji@debian.org>; Source for axel-kapt is src:axel.

Reported by: Andrew Schulman <andrex@alumni.utexas.net>

Date: Mon, 17 Jul 2006 10:18:09 UTC

Severity: minor

Tags: fixed-upstream

Found in version axel/1.0b-1

Fixed in version axel/2.4-1

Done: Y Giridhar Appaji Nag <appaji@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://alioth.debian.org/tracker/index.php?func=detail&aid=311562&group_id=100070&atid=413085, http://sourceforge.net/tracker/?func=detail&aid=2725833&group_id=12051&atid=112051

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Wilmer van der Gaast <lintux@debian.org>:
Bug#378546; Package axel-kapt. Full text and rfc822 format available.

Acknowledgement sent to Andrew Schulman <andrex@alumni.utexas.net>:
New Bug report received and forwarded. Copy sent to Wilmer van der Gaast <lintux@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Schulman <andrex@alumni.utexas.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: axel-kapt: uses all available memory, crashes, brings system to a crawl
Date: Mon, 17 Jul 2006 06:03:30 -0400
Package: axel-kapt
Version: 1.0b-1
Severity: important

When I run axel-kapt from the console, it starts to soak up all
available memory.  My host grinds to a halt as memory for all other
processes is swapped out.  When axel-kapt has used up all available
RAM and cache, it crashes.  Here's what I see on my console:

$ axel-kapt
sh: line 43: 25220 Done                    echo '
start :framed "Axel-Kapt  Download Accelerator" -> info url config local buttons filler;

info :horizontal -> txt ico;
    txt -> @text(x%axel -V%);
    ico -> @icon("connect_creating.png");

url "Url (you can add mirrors)" -> @string()="''";
config :horizontal "OPTIONS" -> checks term max connex search;
    checks  :horizontal -> proxy verb quiet;
        proxy "No Proxy" -> @|" -N ";
        verb "Verbose" -> @|" --verbose ";
        quiet "Quiet" -> @|" -q ";

    term "Terminal Type" -> @combo("konsole", "rxvt", "xterm", "aterm");
    max "Max bps"-> @integer()=0;
    connex :horizontal "Connections" -> @integer()=4;
    search :framed "ftp Search" -> numsites | ! @ ;
        numsites -> " --search=" @integer()=3;


local -> file | ! @ ;
    file "Save as (optional). Choose a directory and type a filename..." -> " --output=" @directory();

buttons :horizontal "Actions" -> mail help doit quit;
    help -> @button(helpwin)="Help";
    mail -> @action(bug)="Bug Report";
    doit -> @exec(axel)="Start";
    #doit -> @echo(axel)="Start";
    quit -> @close="Exit";

filler -> @fill(); #sometimes the bottom is obscured..
                   #not just in kaptain. Some other qt apps too

helpwin "axel Help Text"-> helptitle helpwindow;
        #huge button just to force the dialog wider
        helptitle :horizontal -> @text(x%axel -V%) @close=">>>>>>>>>>>> Close this window <<<<<<<<<<<<<";
        helpwindow -> @list(x%axel --help%);

bug -> "kmail -s " x%axel -V | grep Axel | sed s/" "/"_"/g% " lintux@lintux.cx";


axel -> term " -e axel -s " max " -n "connex proxy verb quiet search " " local " " url;
'
     25221 Killed                  | kaptain



-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (300, 'unstable'), (200, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages axel-kapt depends on:
ii  axel                          1.0b-1     A light download accelerator - Con
ii  kaptain                       1:0.71-1.3 Graphical front-end for command li
ii  konsole [x-terminal-emulator] 4:3.5.3-2  X terminal emulator for KDE
ii  python                        2.3.5-11   An interactive high-level object-o

axel-kapt recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#378546; Package axel-kapt. Full text and rfc822 format available.

Message #8 received at 378546@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <giridhar@appaji.net>
To: Andrew Schulman <andrex@alumni.utexas.net>
Cc: 378546@bugs.debian.org
Subject: Re: Bug#378546: axel-kapt: uses all available memory, crashes, brings system to a crawl
Date: Thu, 27 Dec 2007 11:25:46 +0530
[Message part 1 (text/plain, inline)]
Hi Andrew,

On 06/07/17 06:03 -0400, Andrew Schulman said ...
> When I run axel-kapt from the console, it starts to soak up all
> available memory.  My host grinds to a halt as memory for all other
> processes is swapped out.  When axel-kapt has used up all available
> RAM and cache, it crashes.  Here's what I see on my console:

Do you still see this problem when running axel-kapt?  Even though there
haven't been any changes in axel-kapt that I think would solve this, the
reason I ask is:  The axel-kapt script itself is fairly simple and the
real memory hog _may_ be axel, kaptain or python.

While you see the symptoms of this problem, can you see and report which
process seems to be consuming a lot of memory?

Giridhar

-- 
Y Giridhar Appaji Nag | http://www.appaji.net/
[signature.asc (application/pgp-signature, inline)]

Tags added: moreinfo, unreproducible Request was from Y Giridhar Appaji Nag <giridhar@appaji.net> to control@bugs.debian.org. (Thu, 27 Dec 2007 06:00:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <giridhar@appaji.net>:
Bug#378546; Package axel-kapt. Full text and rfc822 format available.

Acknowledgement sent to Andrew Schulman <andrex@alumni.utexas.net>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <giridhar@appaji.net>. Full text and rfc822 format available.

Message #15 received at 378546@bugs.debian.org (full text, mbox):

From: Andrew Schulman <andrex@alumni.utexas.net>
To: 378546@bugs.debian.org
Subject: Re: Bug#378546: axel-kapt: uses all available memory, crashes, brings system to a crawl
Date: Thu, 27 Dec 2007 05:47:09 -0500
On Thursday 27 December 2007 00:55:46 Y Giridhar Appaji Nag wrote:
> Hi Andrew,
>
> On 06/07/17 06:03 -0400, Andrew Schulman said ...
>
> > When I run axel-kapt from the console, it starts to soak up all
> > available memory.  My host grinds to a halt as memory for all other
> > processes is swapped out.  When axel-kapt has used up all available
> > RAM and cache, it crashes.  Here's what I see on my console:
>
> Do you still see this problem when running axel-kapt?  Even though there
> haven't been any changes in axel-kapt that I think would solve this, the
> reason I ask is:  The axel-kapt script itself is fairly simple and the
> real memory hog _may_ be axel, kaptain or python.
>
> While you see the symptoms of this problem, can you see and report which
> process seems to be consuming a lot of memory?

Sorry, but I've uninstalled axel-kapt.  My host is starved for memory ATM 
so I really don't want to test this bug again.

So I guess the bug is unreproducible.  Please feel free to close it if you 
like.

Thanks,
Andrew.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#378546; Package axel-kapt. Full text and rfc822 format available.

Message #18 received at 378546@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <giridhar@appaji.net>
To: Andrew Schulman <andrex@alumni.utexas.net>, 378546@bugs.debian.org
Subject: Re: Bug#378546: axel-kapt: uses all available memory, crashes, brings system to a crawl
Date: Fri, 4 Jan 2008 16:31:12 +0530
[Message part 1 (text/plain, inline)]
# Bcc: control
severity 378546 minor
thanks

On 07/12/27 05:47 -0500, Andrew Schulman said ...
> On Thursday 27 December 2007 00:55:46 Y Giridhar Appaji Nag wrote:
> >
> > While you see the symptoms of this problem, can you see and report
> > which process seems to be consuming a lot of memory?
> 
> Sorry, but I've uninstalled axel-kapt.  My host is starved for memory
> ATM so I really don't want to test this bug again.
> 
> So I guess the bug is unreproducible.  Please feel free to close it if
> you like.

I'll keep the bug open in case someone else experiences this.  I am
downgrading the severity though, so that it can be raised when we can
get more information.

Cheers,

Giridhar

-- 
Y Giridhar Appaji Nag | http://www.appaji.net/
[signature.asc (application/pgp-signature, inline)]

Severity set to `minor' from `important' Request was from Y Giridhar Appaji Nag <giridhar@appaji.net> to control@bugs.debian.org. (Fri, 04 Jan 2008 11:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#378546; Package axel-kapt. (Thu, 19 Feb 2009 01:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Thu, 19 Feb 2009 01:06:02 GMT) Full text and rfc822 format available.

Message #25 received at 378546@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <378546@bugs.debian.org>
Subject: Excessive Memory usage by kaxel-kapt
Date: Wed, 18 Feb 2009 17:03:29 -0800
hi,

I am facing the exact same problem with axel-kapt - The application brings down the system to crawl and System monitors shows that 98% of memory used by programs instead of 5-10% when axel-kapt is not running. Even opening a gnome-terminal windows takes 5-10 seconds.

Running kaptain does not consumes the memory but no GUI pops-up.

I am using Debian Lenny (5.0) with 2.6.26-1-686 kernel

Kushal Koolwal

I do blog at http://blogs.koolwal.net/




_________________________________________________________________
Stay up to date on your PC, the Web, and your mobile phone with Windows Live.
http://clk.atdmt.com/MRT/go/msnnkwxp1020093185mrt/direct/01/



Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#378546; Package axel-kapt. (Sun, 22 Mar 2009 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrés Hamann <afdh17@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Sun, 22 Mar 2009 22:30:03 GMT) Full text and rfc822 format available.

Message #30 received at 378546@bugs.debian.org (full text, mbox):

From: Andrés Hamann <afdh17@hotmail.com>
To: 378546@bugs.debian.org
Subject: RE: axel-kapt: uses all available memory, crashes, brings system to a crawl
Date: Sun, 22 Mar 2009 23:28:22 +0100
Exact same problem here,

Running Debian Squeeze GNU/Linux with kernel 2.6.26-1-amd64 

When I execute axel-kapt the system starts with 700 Mb used and in a
matter of two or three seconds it gets up to 1550Mb (It crashed the
system once, but now I just interrupt it before it literally eats all of
the resources).
It happens every time I execute axel-kapt so I guess it is reproducible.





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#378546; Package axel-kapt. (Mon, 23 Mar 2009 05:33:02 GMT) Full text and rfc822 format available.

Message #33 received at 378546@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <appaji@debian.org>
To: Tobias Quathamer <toddy@debian.org>
Cc: Andrés Hamann <afdh17@hotmail.com>, 378546@bugs.debian.org
Subject: Re: Bug#378546: axel-kapt: uses all available memory, crashes, brings system to a crawl
Date: Mon, 23 Mar 2009 10:57:45 +0530
[Message part 1 (text/plain, inline)]
tags 378546 + help
thanks

Hi Tobias,

I have a problem reported by users of axel-kapt that uses kaptain (bug
378546).  The memory usage shoots up and brings the box down.  Would you
be able to help me with this bug?

Thanks and regards,

Giridhar

On 09/03/22 23:28 +0100, Andrés Hamann said ...
> Running Debian Squeeze GNU/Linux with kernel 2.6.26-1-amd64 
> 
> When I execute axel-kapt the system starts with 700 Mb used and in a
> matter of two or three seconds it gets up to 1550Mb (It crashed the
> system once, but now I just interrupt it before it literally eats all of
> the resources).
> It happens every time I execute axel-kapt so I guess it is reproducible.

-- 
Y Giridhar Appaji Nag | http://people.debian.org/~appaji/
[signature.asc (application/pgp-signature, inline)]

Tags added: help Request was from Y Giridhar Appaji Nag <appaji@debian.org> to control@bugs.debian.org. (Mon, 23 Mar 2009 05:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#378546; Package axel-kapt. (Wed, 25 Mar 2009 14:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Quathamer <toddy@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Wed, 25 Mar 2009 14:45:02 GMT) Full text and rfc822 format available.

Message #40 received at 378546@bugs.debian.org (full text, mbox):

From: Tobias Quathamer <toddy@debian.org>
To: Y Giridhar Appaji Nag <appaji@debian.org>
Cc: 378546@bugs.debian.org
Subject: Re: Bug#378546: axel-kapt: uses all available memory, crashes, brings system to a crawl
Date: Wed, 25 Mar 2009 15:42:48 +0100
[Message part 1 (text/plain, inline)]
On Monday 23 March 2009 06:27:45 Y Giridhar Appaji Nag wrote:
> Hi Tobias,
>
> I have a problem reported by users of axel-kapt that uses kaptain (bug
> 378546).  The memory usage shoots up and brings the box down.  Would you
> be able to help me with this bug?

Hi Giridhar,

I'm sorry, but I'm currently not able to reproduce this bug with axel-kapt. 
The programs runs without excessive memory usage, and needs the exact same 
time for downloading as the command line program axel. The only problem I'm 
having here is that the newly opened terminal window does not display the 
program's output (which seems unrelated here).

Regards,
Tobias

-- 
Tobias Quathamer | If Bill Gates had a dime for every time a Windows box
Hamburg, Germany | crashed ... Oh, wait a minute, he already does.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#378546; Package axel-kapt. (Wed, 01 Apr 2009 08:33:02 GMT) Full text and rfc822 format available.

Message #43 received at 378546@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <appaji@debian.org>
To: Tobias Quathamer <toddy@debian.org>, 378546@bugs.debian.org
Subject: Re: Bug#378546: axel-kapt: uses all available memory, crashes, brings system to a crawl
Date: Wed, 1 Apr 2009 14:01:02 +0530
[Message part 1 (text/plain, inline)]
Hi Tobias,

Thank you for taking a look.

On 09/03/25 15:42 +0100, Tobias Quathamer said ...
> On Monday 23 March 2009 06:27:45 Y Giridhar Appaji Nag wrote:
> >
> > I have a problem reported by users of axel-kapt that uses kaptain (bug
> > 378546).  The memory usage shoots up and brings the box down.  Would you
> > be able to help me with this bug?
> 
> I'm sorry, but I'm currently not able to reproduce this bug with axel-kapt. 
> The programs runs without excessive memory usage, and needs the exact same 

I have a similar experience.  I only notice kaptain taking a small amount of
memory (from top).

 3817 giridhar  20   0  4792 1004  676 S  3.3  0.1   3:08.87 ssh-agent                                                                                       
 3838 giridhar  20   0 38496  26m 9188 R  1.7  2.6   0:52.54 xfce4-terminal                                                                                  
  634 giridhar  20   0 16872 8320 7228 S  1.3  0.8   0:00.08 kaptain                                                                                         
  700 giridhar  20   0  5452 2360 1876 S  1.3  0.2   0:00.04 ssh                                                                                             

> time for downloading as the command line program axel. The only problem I'm 
> having here is that the newly opened terminal window does not display the 
> program's output (which seems unrelated here).

Indeed.

Thanks,

Giridhar

-- 
Y Giridhar Appaji Nag | http://people.debian.org/~appaji/
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to https://alioth.debian.org/tracker/index.php?func=detail&aid=311562&group_id=100070&atid=413085. Request was from Y Giridhar Appaji Nag <appaji@debian.org> to control@bugs.debian.org. (Wed, 01 Apr 2009 08:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#378546; Package axel-kapt. (Sat, 04 Apr 2009 13:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrés Hamann <afdh17@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Sat, 04 Apr 2009 13:54:02 GMT) Full text and rfc822 format available.

Message #50 received at 378546@bugs.debian.org (full text, mbox):

From: Andrés Hamann <afdh17@hotmail.com>
To: 378546@bugs.debian.org
Subject: RE: axel-kapt: uses all available memory, crashes, brings system to a crawl
Date: Sat, 04 Apr 2009 15:53:35 +0200
Hello,

Sorry for the delay, 

I wrote this in a file called prova-axel-kaptain with execute
permissions:


#!/bin/bash
echo "Starting axel-kapt"
axel-kapt &
echo "axel-kapt started"
while [ $(free -m | awk '/Mem/ {print $4}') -gt "500" ]; do
  sleep 0.5
done
if $(killall kaptain); then
  echo "axel-kapt has been killed"
fi
exit 0


then I just executed free -m to show you guys memory's initial state and
right after that ./prova-axel-kaptain with this output:


ahamann@Mekare:~$ free -m
             total       used       free     shared    buffers
cached
Mem:          3023        373       2650          0          7
120
-/+ buffers/cache:        245       2778
Swap:         5953        345       5608
ahamann@Mekare:~$ ./prova-axel-kaptain 
Starting axel-kapt
axel-kapt started
axel-kapt has been killed
ahamann@Mekare:~$ sh: line 39:  4313 Done                    echo '
start :framed "Axel-Kapt  Download Accelerator" -> info url config local
buttons filler;

info :horizontal -> txt ico;
    txt -> @text(x%axel -V%);
    ico -> @icon("connect_creating.png");

url "Url (you can add mirrors)" -> @string()="''";
config :horizontal "OPTIONS" -> checks term max connex search;
    checks  :horizontal -> proxy verb quiet;
        proxy "No Proxy" -> @|" -N ";
        verb "Verbose" -> @|" --verbose ";
        quiet "Quiet" -> @|" -q ";

    term "Terminal Type" -> @combo("x-terminal-emulator", "xterm");
    max "Max bps"-> @integer()=0;
    connex :horizontal "Connections" -> @integer()=4;
    search :framed "ftp Search" -> numsites | ! @ ;
        numsites -> " --search=" @integer()=3;


local -> file | ! @ ;
    file "Save as (optional). Choose a directory and type a filename..."
-> " --output=" @directory();

buttons :horizontal "Actions" -> help mail doit quit;
    help -> @preview(helpstr,"Close")="Help";
    mail -> @preview(bug,"Close")="Bug Report";
    doit -> @exec(axel)="Start";
    #doit -> @echo(axel)="Start";
    quit -> @close="Exit";

filler -> @fill(); #sometimes the bottom is obscured..
                   #not just in kaptain. Some other qt apps too

helpstr -> "Axel is a program that downloads a file from a FTP or HTTP
server through multiple connection, each connection downloads its own
part of the file.  Read the manual page - axel(1) for various options";

bug -> "Please report bugs on axel-kapt to submit@bugs.debian.org (using
reportbug)";

axel -> term " -e axel -s " max " -n "connex proxy verb quiet search " "
local " " url;
'
      4314 Terminated              | kaptain


Then I ran time with it, and it gave me this results:


real	0m7.475s
user	0m3.980s
sys	0m1.596s


Meaning that probably in just a few seconds, it'd crash the machine

I don't know if the Desktokp Environment is relevant but I use xfce,
however I've tried this with the same results under Gnome and KDE.

I hope this helps. If there is any additional info I can provide, let me
know.





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#378546; Package axel-kapt. (Tue, 07 Apr 2009 08:48:05 GMT) Full text and rfc822 format available.

Message #53 received at 378546@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <appaji@debian.org>
To: Andrés Hamann <afdh17@hotmail.com>, 378546@bugs.debian.org
Subject: Re: Bug#378546: axel-kapt: uses all available memory, crashes, brings system to a crawl
Date: Tue, 7 Apr 2009 14:15:27 +0530
[Message part 1 (text/plain, inline)]
Hi Andrés,

On 09/04/04 15:53 +0200, Andrés Hamann said ...
> I hope this helps. If there is any additional info I can provide, let me
> know.

Would you be able to try the attached patch and check if the bug still
exists?

Thank you for your efforts :)

Cheers,

Giridhar

-- 
Y Giridhar Appaji Nag | http://people.debian.org/~appaji/
[axel-kapt.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#378546; Package axel-kapt. (Tue, 07 Apr 2009 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrés Hamann <afdh17@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Tue, 07 Apr 2009 20:51:03 GMT) Full text and rfc822 format available.

Message #58 received at 378546@bugs.debian.org (full text, mbox):

From: Andrés Hamann <afdh17@hotmail.com>
To: 378546@bugs.debian.org
Subject: Re: Bug#378546: axel-kapt: uses all available memory, crashes, brings system to a crawl
Date: Tue, 07 Apr 2009 22:50:14 +0200
[Message part 1 (text/plain, inline)]
>Would you be able to try the attached patch and check if the bug still
>exists?
It totally fixed it!

>Thank you for your efforts :)
Thank *you* ;)

I've noticed what you said about the newly created terminal not showing
the output and fixed it (see attached file).
Also, I think that if there was a space in local destination's path, it
wouldn't have worked properly, at least now I'm sure it does.

Again, thank you for your time :).
[axel-kapt.diff (text/x-patch, attachment)]

Removed annotation that Bug had been forwarded to https://alioth.debian.org/tracker/index.php?func=detail&aid=311562&group_id=100070&atid=413085. Request was from Y Giridhar Appaji Nag <appaji@debian.org> to control@bugs.debian.org. (Wed, 08 Apr 2009 05:57:07 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://alioth.debian.org/tracker/index.php?func=detail&aid=311562&group_id=100070&atid=413085, http://sourceforge.net/tracker/?func=detail&aid=2725833&group_id=12051&atid=112051. Request was from Y Giridhar Appaji Nag <appaji@debian.org> to control@bugs.debian.org. (Wed, 08 Apr 2009 05:57:08 GMT) Full text and rfc822 format available.

Tags removed: help, moreinfo, unreproducible Request was from Y Giridhar Appaji Nag <appaji@debian.org> to control@bugs.debian.org. (Wed, 08 Apr 2009 05:57:10 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Y Giridhar Appaji Nag <appaji@debian.org> to control@bugs.debian.org. (Wed, 08 Apr 2009 08:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#378546; Package axel-kapt. (Wed, 29 Apr 2009 07:36:11 GMT) Full text and rfc822 format available.

Message #69 received at 378546@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <appaji@debian.org>
To: Andr??s Hamann <afdh17@hotmail.com>, 378546@bugs.debian.org
Subject: Re: Bug#378546: axel-kapt: uses all available memory, crashes, brings system to a crawl
Date: Wed, 29 Apr 2009 13:04:37 +0530
[Message part 1 (text/plain, inline)]
On 09/04/07 22:50 +0200, Andr??s Hamann said ...
> I've noticed what you said about the newly created terminal not showing
> the output and fixed it (see attached file).
> Also, I think that if there was a space in local destination's path, it
> wouldn't have worked properly, at least now I'm sure it does.

I'll close this bug with the next upload, but I filed your patch in the
upstream tracker and will include it in the next upstream axel release.

Cheers,

Giridhar

-- 
Y Giridhar Appaji Nag | http://appaji.net/
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Y Giridhar Appaji Nag <appaji@debian.org> to control@bugs.debian.org. (Wed, 29 Apr 2009 09:06:05 GMT) Full text and rfc822 format available.

Reply sent to Y Giridhar Appaji Nag <appaji@debian.org>:
You have taken responsibility. (Wed, 29 Apr 2009 10:09:03 GMT) Full text and rfc822 format available.

Notification sent to Andrew Schulman <andrex@alumni.utexas.net>:
Bug acknowledged by developer. (Wed, 29 Apr 2009 10:09:03 GMT) Full text and rfc822 format available.

Message #76 received at 378546-close@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <appaji@debian.org>
To: 378546-close@bugs.debian.org
Subject: Bug#378546: fixed in axel 2.4-1
Date: Wed, 29 Apr 2009 09:32:10 +0000
Source: axel
Source-Version: 2.4-1

We believe that the bug you reported is fixed in the latest version of
axel, which is due to be installed in the Debian FTP archive:

axel-dbg_2.4-1_i386.deb
  to pool/main/a/axel/axel-dbg_2.4-1_i386.deb
axel-kapt_2.4-1_all.deb
  to pool/main/a/axel/axel-kapt_2.4-1_all.deb
axel_2.4-1.diff.gz
  to pool/main/a/axel/axel_2.4-1.diff.gz
axel_2.4-1.dsc
  to pool/main/a/axel/axel_2.4-1.dsc
axel_2.4-1_i386.deb
  to pool/main/a/axel/axel_2.4-1_i386.deb
axel_2.4.orig.tar.gz
  to pool/main/a/axel/axel_2.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 378546@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Y Giridhar Appaji Nag <appaji@debian.org> (supplier of updated axel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Apr 2009 14:51:22 +0530
Source: axel
Binary: axel axel-dbg axel-kapt
Architecture: source all i386
Version: 2.4-1
Distribution: unstable
Urgency: low
Maintainer: Y Giridhar Appaji Nag <appaji@debian.org>
Changed-By: Y Giridhar Appaji Nag <appaji@debian.org>
Description: 
 axel       - light download accelerator - console version
 axel-dbg   - light download accelerator - debugging symbols
 axel-kapt  - light download accelerator - graphical front-end
Closes: 378546
Changes: 
 axel (2.4-1) unstable; urgency=low
 .
   * New upstream release 2.4
    + Fixes a thread hang and an array overflow
    + Work-around for kaptain CPU/Mem overuse (Closes: #378546)
    + Refresh all patches for new upstream release
   * Update Standards-Version to 3.8.1 (no changes required)
   * Change axel-dbg section to debug
   * Remove call to dh_desktop, not necessary and is a no-op now
   * Remove hand-crafted handling of DEB_BUILD_OPTIONS (the build system
     handles it on its own)
Checksums-Sha1: 
 becb342ae7bd817799d7ee4800f945082d7872ee 1435 axel_2.4-1.dsc
 6d89a7ce797ddf4c23a210036d640d013fe843ca 50704 axel_2.4.orig.tar.gz
 bff814e273ad88eece55d2e983114a68d2cfa2f7 6992 axel_2.4-1.diff.gz
 67c17a5c1836b34448859440747710f907bf295d 4046 axel-kapt_2.4-1_all.deb
 abfe57018ccb09602ad27dcc3ee35db69f861d55 50290 axel_2.4-1_i386.deb
 03fbed3b961caf5194ac284e3c59ba75f9e890b2 35356 axel-dbg_2.4-1_i386.deb
Checksums-Sha256: 
 dcf1ec474a14366398b679be0dd54b98ae1bf474a35521e61da6f0c0d9970d67 1435 axel_2.4-1.dsc
 359a57ab4e354bcb6075430d977c59d33eb3e2f1415a811948fa8ae657ca8036 50704 axel_2.4.orig.tar.gz
 21c16790e5b3081e86bc989586d533b703ffeb5b4f8bc9cf42edb8e98430903e 6992 axel_2.4-1.diff.gz
 ae7fe8d6784bb326ddba5a0bc27666c328ae57af5bb8ffa9ce2df46f99335edb 4046 axel-kapt_2.4-1_all.deb
 d53b4fdcd970179dbf5eccf62f0a29797af3b66a04242a38a009fe0d19d10325 50290 axel_2.4-1_i386.deb
 59566291c168e5a5f67ef8025df79a224f5d50b0709c9ed1f4b68872f1ed4424 35356 axel-dbg_2.4-1_i386.deb
Files: 
 437d29b38ce85ce3d5cb0fbd57dce9da 1435 web optional axel_2.4-1.dsc
 a2a762fce0c96781965c8f9786a3d09d 50704 web optional axel_2.4.orig.tar.gz
 738b28361cace5f6d54edb514473c19a 6992 web optional axel_2.4-1.diff.gz
 04924673906b5aab9ebe09616a910202 4046 web optional axel-kapt_2.4-1_all.deb
 13ccc93f3f25be13c057835f09cd1537 50290 web optional axel_2.4-1_i386.deb
 5485b160dd08a6799bbaf75eb0e6af3a 35356 debug extra axel-dbg_2.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQEcBAEBAgAGBQJJ+BytAAoJENbfLHnbvsrcaMkIAJIoVUngNjCwyIayKI9j/RWr
LO9lskirSvESCCXhgSoQGyecg4XVTRAyfnyXN/sQppk0NvBv8ZLPb0Qr3YfGphJp
a3xMuYNl8hQ9Vo2UfI92y6jMbfRN672VMY1BWc3hlXluRZrxvQ5CFpUDnPPDRDLZ
riRAfmFjJQV4Oq+oUfFMZ+HToZnyqGZvf/e4GcR2BcmLA1/Xese648BLK7Is9/1B
mefcUj/VL37Uum0nKWqB6kMberr5HTFA0YWrmzuDQs+5DNghdjWMGu6/6eZ7QUii
6qmMu1w509lhie7bqX7fySNP+rgB2PovMUSQIaZ6KvBUHaDUISQjn72MdO+wPiA=
=975l
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Jun 2009 07:33:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:23:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.